
package com.lideeyunji.core.framework.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.lideeyunji.core.framework.entity.EnhanceSqlEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lideeyunji.tool.framework.common.constant.lideeYunJiBaseConstant;

/**
 * sql增强相关
 */
@DS(lideeYunJiBaseConstant.DS_lideeyunji)
public interface EnhanceSqlMapper extends BaseMapper<EnhanceSqlEntity> {


    default void delByDbFormId(Long dbFormId){
        QueryWrapper<EnhanceSqlEntity> wrapper = new QueryWrapper();
        wrapper.eq("dbform_id", dbFormId);
        this.delete(wrapper);
    }
}
